/*
   $Id: DisplayM1.h 648 2011-10-31 12:59:22Z manu $
*/
/*
 * Copyright INRA/CNRS - Thomas.Faraut@toulouse.inra.fr, Emmanuel.Courcelle@toulouse.inra.fr
 * This software is a computer program whose purpose is to align nucleic sequences, or perform other utility tasks
 * This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software.
 * 
 * Please read the file Licence_CeCILL-C_V1-en.txt which should have been distributed with this file
 * The fact that you are presently reading this, and the aforementioned file, means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
*/

#ifndef __DISPLAY_M1_H__
#define __DISPLAY_M1_H__

#include "Display.h"

/**
 * \brief The DisplayM1 class implements the methods specific to the M1 output format  (see documentation)
 */

class DisplayM1: public DisplayStd {
	public:
		DisplayM1(const unsigned char* seq=NULL): DisplayStd(), __bank_seq(seq),__no_bank_mode(seq==NULL) {};
		virtual void DisplayTopHeader() const{};
		virtual void DisplayHsp(const Hsp&) const;
	    virtual void DisplayQueryInfo(const string& query) const;
	    virtual void DisplaySubjectInfo(const string& subject,int score) const ;

	protected:
	    //virtual void _DisplayHeader(const string& query,const string& bank) const;
	    
	private:
		mutable const unsigned char* __bank_seq;
		bool __no_bank_mode;
};


#endif
